OpenVDB 7.0.0

Public Types | List of all members
ToMaskGrid< GridType > Struct Template Reference

ToMaskGrid<T>::Type is the type of a grid having the same tree hierarchy as grid type T but a value equal to its active state. More...

`#include <GridOperators.h>`

## Public Types
typedef Grid< typename GridType::TreeType::template ValueConverter< ValueMask >::Type > | Type

## Detailed Description

### template<typename GridType>
struct openvdb::v7_0::tools::gridop::ToMaskGrid< GridType >

ToMaskGrid<T>::Type is the type of a grid having the same tree hierarchy as grid type T but a value equal to its active state.

For example, ToMaskGrid<FloatGrid>::Type is equivalent to MaskGrid.

## Member Typedef Documentation

## ◆ Type

typedef Grid<typename GridType::TreeType::template ValueConverter<ValueMask>::Type> Type

The documentation for this struct was generated from the following file:

- GridOperators.h